ScopeAwareNearestVersionSelector (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.resolve.maven.aether.support

## [Groovy] Class ScopeAwareNearestVersionSelector

- org.codehaus.groovy.grails.resolve.maven.aether.support.ScopeAwareNearestVersionSelector

- Aether's default org.eclipse.aether.util.graph.transformer.NearestVersionSelector does not take into account differing scopes when picking a winner

  Authors:
    Graeme Rocher
  Since:
    2.3.3

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `static class` | `ScopeAwareNearestVersionSelector.ConflictGroup` |
    `class` | `ScopeAwareNearestVersionSelector.ScopeComparator` |

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `selectVersion(org.eclipse.aether.util.graph.transformer.ConflictResolver$ConflictContext context)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.eclipse.aether.util.graph.transformer.ConflictResolver$VersionSelector` | `org.eclipse.aether.util.graph.transformer.ConflictResolver$VersionSelector#getInstance(org.eclipse.aether.graph.DependencyNode, org.eclipse.aether.collection.DependencyGraphTransformationContext), org.eclipse.aether.util.graph.transformer.ConflictResolver$VersionSelector#selectVersion(org.eclipse.aether.util.graph.transformer.ConflictResolver$ConflictContext), org.eclipse.aether.util.graph.transformer.ConflictResolver$VersionSelector#wait(long, int), org.eclipse.aether.util.graph.transformer.ConflictResolver$VersionSelector#wait(long), org.eclipse.aether.util.graph.transformer.ConflictResolver$VersionSelector#wait(), org.eclipse.aether.util.graph.transformer.ConflictResolver$VersionSelector#equals(java.lang.Object), org.eclipse.aether.util.graph.transformer.ConflictResolver$VersionSelector#toString(), org.eclipse.aether.util.graph.transformer.ConflictResolver$VersionSelector#hashCode(), org.eclipse.aether.util.graph.transformer.ConflictResolver$VersionSelector#getClass(), org.eclipse.aether.util.graph.transformer.ConflictResolver$VersionSelector#notify(), org.eclipse.aether.util.graph.transformer.ConflictResolver$VersionSelector#notifyAll()`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### @java.lang.Override void selectVersion(org.eclipse.aether.util.graph.transformer.ConflictResolver$ConflictContext context)